# package url
artifact_name = value_for_platform_family(
  rhel:    'el' + node['platform_version'].split('.').first,
  default: node['platform'] + node['platform_version'].split('.').first
)
# checksums for the specified version
server_pkg_checksum = {
  el6:      'bd86761e63e915bca17dde02bbabf5c9aae8b4fdf6d0537ca9cf5d3073af1576',
  el7:      '75bea0fa9da086bbc17f80df51ec85b07f99d994a2931a9b3cf07f74bd2d80ae',
  debian7:  '41d65fb18220bf667a680679e4bb586bc233ee90e226766027a0ea8e0bf74de8',
  debian8:  '09d566bacbfbf4d5c742856d0ede87d258c4088d38225c3a8a5ee719587036a0',
  ubuntu12: '8637619e1f89a6346d9dc29caf381e0bff4e4b9de867664971bcf6973543bd66',
  ubuntu14: '380858431176f2cbb45545916137a2303aac624e08a128e5229756bf1b36d460',
  ubuntu16: '61aa3e7c0ee3adfbf0f2182a7e6a5556a4feffc20ab5aa1f93e0a25b282f3f1d'
}

default['aerospike']['server']['version'] = '3.12.0'
default['aerospike']['server']['edition'] = 'community'

default['aerospike']['server']['pkg']['url'] =
  'https://www.aerospike.com/download/server/' +
  node['aerospike']['server']['version']       +
  '/artifact/' + artifact_name
default['aerospike']['server']['pkg']['checksum'] =
  server_pkg_checksum[artifact_name.to_sym]
default['aerospike']['server']['pkg']['dir'] = '/var/cache/aerospike/server/'
